Save This Page
Home » cocoon-2.1.11-src » org.apache.cocoon.components.modules » input » [javadoc | source]
org.apache.cocoon.components.modules.input
public class: RequestParameterModule [javadoc | source]
java.lang.Object
   org.apache.avalon.framework.logger.AbstractLogEnabled
      org.apache.cocoon.components.modules.input.AbstractInputModule
         org.apache.cocoon.components.modules.input.RequestParameterModule

All Implemented Interfaces:
    org.apache.avalon.framework.thread.ThreadSafe, org.apache.avalon.framework.activity.Disposable, InputModule, org.apache.avalon.framework.configuration.Configurable

RequestParameterModule accesses request parameters. If the parameter name contains an askerisk "*" this is considered a wildcard and all parameters that would match this wildcard are considered to be part of an array of that name for getAttributeValues. Only one "*" is allowed. Wildcard matches take precedence over real arrays. In that case only the first value of such array is returned.
Fields inherited from org.apache.cocoon.components.modules.input.AbstractInputModule:
returnNames,  settings
Method from org.apache.cocoon.components.modules.input.RequestParameterModule Summary:
getAttribute,   getAttributeNames,   getAttributeValues
Methods from org.apache.cocoon.components.modules.input.AbstractInputModule:
configure,   dispose,   getAttribute,   getAttributeNames,   getAttributeValues
Methods from java.lang.Object:
equals,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.cocoon.components.modules.input.RequestParameterModule Detail:
 public Object getAttribute(String name,
    Configuration modeConf,
    Map objectModel) throws ConfigurationException 
 public Iterator getAttributeNames(Configuration modeConf,
    Map objectModel) throws ConfigurationException 
 public Object[] getAttributeValues(String name,
    Configuration modeConf,
    Map objectModel) throws ConfigurationException